package com.persagy.functions.weather.constant;

import java.util.HashMap;
import java.util.Map;

public class DisasterConstant {
	public static final String spt = "-";
	  public static final String[] typeArray = {"台风", "暴雨", "暴雪", "寒潮", "大风", "沙尘暴", "高温", "干旱", "雷电", "冰雹", "霜冻", "大雾", "道路结冰", "雷雨大风"};
	  public static final String[] levelArray = {"白色", "蓝色", "黄色", "橙色", "红色"};
	  private static final Map<String, Integer> typeLevel2TimeMap = new HashMap<String, Integer>();
	  
	  public static Map<String, Integer> getType2TimeMap()
	  {
	    return typeLevel2TimeMap;
	  }
	  
	  static
	  {
	    typeLevel2TimeMap.put(typeArray[0] + "-" + levelArray[0], Integer.valueOf(48));
	    typeLevel2TimeMap.put(typeArray[0] + "-" + levelArray[1], Integer.valueOf(24));
	    typeLevel2TimeMap.put(typeArray[0] + "-" + levelArray[2], Integer.valueOf(24));
	    typeLevel2TimeMap.put(typeArray[0] + "-" + levelArray[3], Integer.valueOf(12));
	    typeLevel2TimeMap.put(typeArray[0] + "-" + levelArray[4], Integer.valueOf(6));
	    
	    typeLevel2TimeMap.put(typeArray[1] + "-" + levelArray[1], Integer.valueOf(12));
	    typeLevel2TimeMap.put(typeArray[1] + "-" + levelArray[2], Integer.valueOf(6));
	    typeLevel2TimeMap.put(typeArray[1] + "-" + levelArray[3], Integer.valueOf(3));
	    typeLevel2TimeMap.put(typeArray[1] + "-" + levelArray[4], Integer.valueOf(3));
	    
	    typeLevel2TimeMap.put(typeArray[2] + "-" + levelArray[1], Integer.valueOf(12));
	    typeLevel2TimeMap.put(typeArray[2] + "-" + levelArray[2], Integer.valueOf(12));
	    typeLevel2TimeMap.put(typeArray[2] + "-" + levelArray[3], Integer.valueOf(6));
	    typeLevel2TimeMap.put(typeArray[2] + "-" + levelArray[4], Integer.valueOf(6));
	    
	    typeLevel2TimeMap.put(typeArray[3] + "-" + levelArray[1], Integer.valueOf(48));
	    typeLevel2TimeMap.put(typeArray[3] + "-" + levelArray[2], Integer.valueOf(24));
	    typeLevel2TimeMap.put(typeArray[3] + "-" + levelArray[3], Integer.valueOf(24));
	    typeLevel2TimeMap.put(typeArray[3] + "-" + levelArray[4], Integer.valueOf(24));
	    
	    typeLevel2TimeMap.put(typeArray[4] + "-" + levelArray[1], Integer.valueOf(24));
	    typeLevel2TimeMap.put(typeArray[4] + "-" + levelArray[2], Integer.valueOf(12));
	    typeLevel2TimeMap.put(typeArray[4] + "-" + levelArray[3], Integer.valueOf(6));
	    typeLevel2TimeMap.put(typeArray[4] + "-" + levelArray[4], Integer.valueOf(6));
	    
	    typeLevel2TimeMap.put(typeArray[5] + "-" + levelArray[2], Integer.valueOf(12));
	    typeLevel2TimeMap.put(typeArray[5] + "-" + levelArray[3], Integer.valueOf(6));
	    typeLevel2TimeMap.put(typeArray[5] + "-" + levelArray[4], Integer.valueOf(6));
	    
	    typeLevel2TimeMap.put(typeArray[6] + "-" + levelArray[2], Integer.valueOf(72));
	    typeLevel2TimeMap.put(typeArray[6] + "-" + levelArray[3], Integer.valueOf(24));
	    typeLevel2TimeMap.put(typeArray[6] + "-" + levelArray[4], Integer.valueOf(24));
	    
	    typeLevel2TimeMap.put(typeArray[7] + "-" + levelArray[3], Integer.valueOf(168));
	    typeLevel2TimeMap.put(typeArray[7] + "-" + levelArray[4], Integer.valueOf(168));
	    
	    typeLevel2TimeMap.put(typeArray[8] + "-" + levelArray[2], Integer.valueOf(6));
	    typeLevel2TimeMap.put(typeArray[8] + "-" + levelArray[3], Integer.valueOf(2));
	    typeLevel2TimeMap.put(typeArray[8] + "-" + levelArray[4], Integer.valueOf(2));
	    
	    typeLevel2TimeMap.put(typeArray[9] + "-" + levelArray[3], Integer.valueOf(6));
	    typeLevel2TimeMap.put(typeArray[9] + "-" + levelArray[4], Integer.valueOf(2));
	    
	    typeLevel2TimeMap.put(typeArray[10] + "-" + levelArray[1], Integer.valueOf(24));
	    typeLevel2TimeMap.put(typeArray[10] + "-" + levelArray[2], Integer.valueOf(24));
	    typeLevel2TimeMap.put(typeArray[10] + "-" + levelArray[3], Integer.valueOf(24));
	    
	    typeLevel2TimeMap.put(typeArray[11] + "-" + levelArray[2], Integer.valueOf(12));
	    typeLevel2TimeMap.put(typeArray[11] + "-" + levelArray[3], Integer.valueOf(6));
	    typeLevel2TimeMap.put(typeArray[11] + "-" + levelArray[4], Integer.valueOf(2));
	    
	    typeLevel2TimeMap.put(typeArray[12] + "-" + levelArray[2], Integer.valueOf(12));
	    typeLevel2TimeMap.put(typeArray[12] + "-" + levelArray[3], Integer.valueOf(6));
	    typeLevel2TimeMap.put(typeArray[12] + "-" + levelArray[4], Integer.valueOf(2));
	    
	    typeLevel2TimeMap.put(typeArray[13] + "-" + levelArray[1], Integer.valueOf(6));
	    typeLevel2TimeMap.put(typeArray[13] + "-" + levelArray[2], Integer.valueOf(6));
	    typeLevel2TimeMap.put(typeArray[13] + "-" + levelArray[3], Integer.valueOf(2));
	    typeLevel2TimeMap.put(typeArray[13] + "-" + levelArray[4], Integer.valueOf(2));
	  }
}
